Bug 10552 - make exporting variables with hyphens (-) -- illegal in bash 2.04
make exporting variables with hyphens (-) -- illegal in bash 2.04
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-03 13:42 EDT by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 10:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Tokarev 2000-04-03 13:42:02 EDT
bash 2.04 is the default shell in rawhide now (wow! good!).
It prohibits usage of hyphens (-) in env. variable names.
But there are many, many of such a variables exported by make
from Makefile(s) in glibc.  Build log from glibc-2.1.3:

...
/bin/sh: invalid character 45 in exportstr for full-config-sysdirs
.././scripts/mkinstalldirs: invalid character 45 in exportstr for
full-config-sysdirs
/bin/sh: invalid character 45 in exportstr for full-config-sysdirs
.././scripts/mkinstalldirs: invalid character 45 in exportstr for
full-config-sysdirs
...
Comment 1 Cristian Gafton 2000-05-22 10:52:59 EDT
assign to jakub
Comment 2 Jakub Jelinek 2000-09-04 11:54:34 EDT
I've fixed this on 2000-04-26 in both glibc 2.1.9x and glibc 2.1.3.

Note You need to log in before you can comment on or make changes to this bug.